Name:       fusor-undercloud-installer
Version:    1.0.6
Release:    1%{?dist}
Summary:    Scripts to configure and install an OpenStack Undercloud instance.

Group:      Development/Python
License:    GPLv3+
URL:        https://github.com/fusor/fusor-undercloud-installer
Source0:    %{name}-%{version}.tar.gz

BuildRequires: asciidoc

Requires: python(abi) = 2.7
Requires: tfm-rubygem-egon
Requires: python-ipaddress
Requires: python-netifaces
BuildArch: noarch

%description
Fusor Undercloud Installer

%prep
%setup -q


%build
a2x -d manpage -f manpage fusor-undercloud-installer.8.asciidoc
a2x -d manpage -f manpage fusor-undercloud-configurator.8.asciidoc
a2x -d manpage -f manpage fusor-undercloud-installer.answers.yaml.5.asciidoc

%install
install -d -m0755 %{buildroot}%{_sbindir}
cp bin/fusor-undercloud-installer %{buildroot}%{_sbindir}/fusor-undercloud-installer
cp bin/fusor-undercloud-configurator %{buildroot}%{_sbindir}/fusor-undercloud-configurator
%{__mkdir_p} %{buildroot}%{_mandir}/man5
%{__mkdir_p} %{buildroot}%{_mandir}/man8
cp -a fusor-undercloud-installer.answers.yaml.5 %{buildroot}/%{_mandir}/man5/
cp -a fusor-undercloud-installer.8 %{buildroot}/%{_mandir}/man8/
cp -a fusor-undercloud-configurator.8 %{buildroot}/%{_mandir}/man8/

%files
%doc LICENSE
%defattr(755, root, root)
%{_sbindir}/fusor-undercloud-installer
%{_sbindir}/fusor-undercloud-configurator
%doc %{_mandir}/man5/fusor-undercloud-installer.answers.yaml.5*
%doc %{_mandir}/man8/fusor-undercloud-installer.8*
%doc %{_mandir}/man8/fusor-undercloud-configurator.8*


%changelog
* Thu Aug 25 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.6-1
- switch to version tagger (jesusr@redhat.com)

* Tue Aug 23 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.1-5
- remove unwanted flavors

* Fri Aug 05 2016 John Matthews <jwmatthews@gmail.com> 1.0.1-4
- 1261153 - switched ram check from dmidecode to free (dwhatley@redhat.com)

* Wed Jul 27 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-3
- remove upstream to match downstream (#45) (jmontleo@redhat.com)
- Add manpages, and help option. (#44) (jmrodri@gmail.com)
- 1261153 - Added disk/ram/cpu validations to fusor-undercloud-installer. (#43)
  (derekwhatley@gmail.com)
- remove unneeded swift restart (jmontleo@redhat.com)
- Added extra validations for hostname and nameserver address
  (dymurray@redhat.com)

* Thu Jun 23 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-2
- Fix text BZ1302110 (jmontleo@redhat.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-1
- bump version to 1.0.1 (jmontleo@redhat.com)

* Fri May 06 2016 Jason Montleon <jmontleo@redhat.com> 1.0-31
- 1306032 - fix various validation errors (jesusr@redhat.com)
- fix typo in gateway validation msg (jmontleo@redhat.com)

* Wed Apr 13 2016 Jason Montleon <jmontleo@redhat.com> 1.0-30
- remove neutron workaround (jmontleo@redhat.com)
- changes to support osp 8 (jmontleo@redhat.com)

* Tue Apr 12 2016 Jason Montleon <jmontleo@redhat.com> 1.0-29
- changes to support osp 8 (jmontleo@redhat.com)

* Tue Apr 12 2016 Jason Montleon <jmontleo@redhat.com> 1.0-28
- changes to support osp 8 (jmontleo@redhat.com)

* Fri Apr 01 2016 Jason Montleon <jmontleo@redhat.com> 1.0-27
- changes to support osp 8 (jmontleo@redhat.com)

* Thu Mar 31 2016 Jason Montleon <jmontleo@redhat.com> 1.0-26
- changes to support osp 8 (jmontleo@redhat.com)

* Tue Mar 29 2016 Jason Montleon <jmontleo@redhat.com> 1.0-25
- changes to support osp 8 (jmontleo@redhat.com)
- Fixed typo when prompted for network gateway (dymurray@redhat.com)
- Fix requires for Satellite 6.2 (jmontleo@redhat.com)

* Wed Mar 16 2016 Jason Montleon <jmontleo@redhat.com> 1.0-24
- restart swift services (jmontleo@redhat.com)

* Wed Mar 09 2016 Jason Montleon <jmontleo@redhat.com> 1.0-23
- Cleaned up nameserver changes (dymurray@redhat.com)
- Removed checking if nameserver is not reachable (dymurray@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 1.0-22
- fix egon dependency (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com>
- fix egon dependency (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 1.0-20
- make egon scl pkg dep match release (jmontleo@redhat.com)

* Tue Mar 01 2016 Jason Montleon <jmontleo@redhat.com> 1.0-19
- Removed checking if nameserver is not reachable (dymurray@redhat.com)
- add python-ipaddress dependency (jmontleo@redhat.com)

* Tue Mar 01 2016 Jason Montleon <jmontleo@redhat.com> 1.0-18
- 

* Mon Feb 29 2016 Jason Montleon <jmontleo@redhat.com> 1.0-17
- incorrect use of 'is None'. (jmrodri@gmail.com)
- DHCP range defaults calculated based on input (dymurray@redhat.com)
- Added ability to create smart defaults based on subnet (dymurray@redhat.com)
- Changed osp_provision_net subnet to follow RFC 1918 guidelines
  (dymurray@redhat.com)
- add a readme with build status (jesusr@redhat.com)
- flake8: lines too long (jesusr@redhat.com)
- setup flake8 and pylint (jesusr@redhat.com)
- only add user if it doesn't exist. (jesusr@redhat.com)
- invalid filename for sysctl. (jesusr@redhat.com)
- pylint: Exactly one space required after comma (jesusr@redhat.com)
- pylint: Missing function docstring (jesusr@redhat.com)
- pylint: Access to a protected member _exit of a client class
  (jesusr@redhat.com)
- pylint: Invalid function name (jesusr@redhat.com)
- pylint: Bad indentation. (jesusr@redhat.com)
- pep8: W291 trailing whitespace (jesusr@redhat.com)
- pep8: E711 incorrect comparison to None (jesusr@redhat.com)
- pep8: E261 at least two spaces before inline comment (jesusr@redhat.com)
- pep8: E231 missing whitespace after ',' (jesusr@redhat.com)
- pep8: E302 expected 2 blank lines, found 1 (jesusr@redhat.com)
- pep8: E401 multiple imports on one line (jesusr@redhat.com)
- pep8: E111 indentation is not a multiple of four (jesusr@redhat.com)
- Added validation checks for interactive and non-interactive mode
  (dymurray@redhat.com)
- avoid duplicate statements in sysctl.conf (jesusr@redhat.com)
- don't indent lines of yum repo file (jesusr@redhat.com)
- Remove extra script used simply for tee (jmrodri@gmail.com)
- Added non-interactive mode to undercloud installer (dymurray@redhat.com)

* Wed Jan 27 2016 Jason Montleon <jmontleo@redhat.com> 1.0-16
- Try to handle 1234601 a little better for the time being
  (jmontleo@redhat.com)

* Wed Jan 20 2016 Jason Montleon <jmontleo@redhat.com> 1.0-15
- Allows user to choose default undercloud IP of 192.0.2.254
  (dymurray@redhat.com)

* Tue Jan 19 2016 Jason Montleon <jmontleo@redhat.com> 1.0-14
- 1299854 - Added a check to ensure that the subnet is valid for the network
  gateway (dymurray@redhat.com)
- 1299956 - Changed default undercloud IP displayed to 192.0.2.254
  (dymurray@redhat.com)

* Mon Jan 18 2016 Jason Montleon <jmontleo@redhat.com> 1.0-13
- Fixes 1298308: No logfile for launch-fusor-undercloud-installer
  (jmontleo@redhat.com)

* Fri Jan 15 2016 Jason Montleon <jmontleo@redhat.com> 1.0-12
- Added prompt for undercloud IP address and checks that it is on the valid
  subnet (dymurray@redhat.com)
- this should show the ip address for br-ctlplane where services are listening
  (jmontleo@redhat.com)

* Thu Jan 14 2016 Jason Montleon <jmontleo@redhat.com> 1.0-11
- Stop needless multihoming (jmontleo@redhat.com)

* Mon Jan 11 2016 Jason Montleon <jmontleo@redhat.com> 1.0-10
- replace tee with redirect (johnkim76@gmail.com)
- Fixed spelling typo in fusor-undercloud-configurator (dymurray@redhat.com)
- 1278873 - Turned fusor-undercloud-installer to be a wrapper script that calls
  fusor-undercloud-install and captures stdout/stderr to /var/log/fusor-
  undercloud-install.log. (jinmaster923@gmail.com)

* Fri Dec 11 2015 Jason Montleon <jmontleo@redhat.com> 1.0-9
- 1276064 - handle multiple nameservers in resolv.conf (tcarlin@redhat.com)
- add timeout = 300 to discoverd.conf (jesusr@redhat.com)

* Tue Dec 01 2015 Jason Montleon <jmontleo@redhat.com> 1.0-8
- Set the nameserver in resolv.conf if it does not already exist
  (sherr@redhat.com)
- Ensure we've only written one line to /etc/hosts, no matter how many times
  it's run (sherr@redhat.com)
- Prompt for undercloud admin password always (sherr@redhat.com)
- those should not have been octal numbers (sherr@redhat.com)

* Thu Oct 15 2015 Jason Montleon <jmontleo@redhat.com> 1.0-7
- 'hostname -f' depends on a dns server being configured; don't rely on it
  (sherr@redhat.com)
- adjust network config defaults baseed on the basic network setup
  (sherr@redhat.com)

* Wed Oct 14 2015 Jason Montleon <jmontleo@redhat.com> 1.0-6
- Set a default nameserver of localhost if one is not detected to make 'read'
  function properly (sherr@redhat.com)
- The undercloud installer does some stuff in '.', need to cd to stack user's
  home (sherr@redhat.com)

* Wed Sep 23 2015 Jason Montleon <jmontleo@redhat.com> 1.0-5
- Improve error messaging and remove default password text (sherr@redhat.com)

* Tue Sep 22 2015 Jason Montleon <jmontleo@redhat.com> 1.0-4
- Move overcloud image untarring to the end so that it doesn't wait so long at
  first (sherr@redhat.com)

* Mon Sep 21 2015 Jason Montleon <jmontleo@redhat.com> 1.0-3
- Update the spec + scripts now that we get egon from an rpm (sherr@redhat.com)

* Fri Sep 18 2015 Jason Montleon <jmontleo@redhat.com> 1.0-2
- new package built with tito


